LibreOffice LibreOffice 26.2 SDK API Reference

Public Member Functions | List of all members
XPropertyStateChangeListener Interface Referencepublished

receives events which get fired whenever the state of a bound property is changed. More...

`import"XPropertyStateChangeListener.idl";`

Inheritance diagram for XPropertyStateChangeListener:

## Public Member Functions
void | propertyStateChange ([in] com::sun::star::beans::PropertyStateChangeEvent aEvent)
| is called when a bound property's state is changed. More...
Public Member Functions inherited from XEventListener
void | disposing ([in] com::sun::star::lang::EventObject Source)
| gets called when the broadcaster is about to be disposed. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

receives events which get fired whenever the state of a bound property is changed.

## Member Function Documentation

## ◆ propertyStateChange()

void propertyStateChange | ( | [in] com::sun::star::beans::PropertyStateChangeEvent | aEvent | ) |

is called when a bound property's state is changed.

Parameters

  aEvent | describes the event source and the property that has changed.

The documentation for this interface was generated from the following file:

- com/sun/star/beans/XPropertyStateChangeListener.idl